> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Video from Collection

> Remove a video file from a collection



## OpenAPI

````yaml DELETE /collections/{collection_id}/videos/{file_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /collections/{collection_id}/videos/{file_id}:
    delete:
      tags:
        - Collections
      summary: Remove a video file from a collection
      description: Remove a video file from a collection
      operationId: deleteVideo
      parameters:
        - name: collection_id
          in: path
          required: true
          description: The ID of the collection
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          description: The ID of the file to remove
          schema:
            type: string
      responses:
        '200':
          description: Successful removal
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionFileDelete'
        '404':
          description: Collection or file not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CollectionFileDelete:
      type: object
      properties:
        collection_id:
          type: string
          description: ID of the collection
        file_id:
          type: string
          description: ID of the file
        object:
          type: string
          enum:
            - collection_file
          description: Object type, always 'collection_file'
      required:
        - collection_id
        - file_id
        - object
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````